# Phase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Phase

#### Hierarchy (View Summary)

- Phase
  - AddEnemyBuffModifierPhase
  - BattlePhase
  - CheckStatusEffectPhase
  - EggHatchPhase
  - EggLapsePhase
  - EggSummaryPhase
  - EndCardPhase
  - EndEvolutionPhase
  - EvolutionPhase
  - HideAbilityPhase
  - LoadMoveAnimPhase
  - LoginPhase
  - MessagePhase
  - MoveAnimPhase
  - MysteryEncounterPhase
  - MysteryEncounterOptionSelectedPhase
  - MysteryEncounterBattleStartCleanupPhase
  - MysteryEncounterBattlePhase
  - MysteryEncounterRewardsPhase
  - PostMysteryEncounterPhase
  - PartyExpPhase
  - PostGameOverPhase
  - ReloadSessionPhase
  - SelectChallengePhase
  - SelectGenderPhase
  - SelectStarterPhase
  - TitlePhase
  - UnavailablePhase
  - UnlockPhase

- Defined in src/phase.ts:3

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new Phase(): Phase

  #### Returns Phase

## Methods

### end

- end(): void

  #### Returns void

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  - Defined in src/phase.ts:4